{% extends 'base.html' %}
{% load static %}
{% block title %}Widget's Forum{% endblock %}
{% block content %}
<h2>Welcome to Widget's Forum!</h2>
<h3>Forum posts:</h3>

{% for forumpost in forumposts %}
	<a href="{{ forumpost.get_absolute_url }}">{{ forumpost.title }} by {{ forumpost.author.last_name }}, {{ forumpost.author.first_name }}</a><br>

{% endfor %}

<br>

<form action={% url 'forum:forumpost-add' %}>
	<input type="submit" value="New Post"/>
</form>

<a href="{% url 'dashboard:pageview' %}">Dashboard</a><br>
<a href="{% url 'announcements:pageview' %}">Announcements</a><br>
<a href="{% url 'assignments:pageview' %}">Assignments</a><br>
<a href="{% url 'widget_calendar:pageview' %}">Calendar</a><br>
{% endblock %}